Skip to main content
GET
/
v2
/
open-banking
/
institutions
List all institutions
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/open-banking/institutions \
  --header 'Authorization: Basic <encoded-value>'
{
  "found": 8263,
  "displaying": 25,
  "more_available": true,
  "requested_date": "2025-06-10T17:39:43.000Z",
  "institutions": [
    {
      "id": 10,
      "rssd": 0,
      "name": "Discover Card (All Account Types)",
      "trans_agg": true,
      "ach": true,
      "state_agg": true,
      "voi": true,
      "voa": true,
      "aha": false,
      "avail_balance": true,
      "account_owner": true,
      "student_loan_data": false,
      "loan_payment_details": false,
      "child_institutions": []
    },
    {
      "id": 12,
      "rssd": 0,
      "name": "E*TRADE",
      "trans_agg": true,
      "ach": true,
      "state_agg": false,
      "voi": true,
      "voa": true,
      "aha": false,
      "avail_balance": true,
      "account_owner": true,
      "student_loan_data": false,
      "loan_payment_details": false,
      "child_institutions": []
    },
    {
      "id": 18,
      "rssd": 0,
      "name": "SouthTrust",
      "trans_agg": true,
      "ach": false,
      "state_agg": false,
      "voi": true,
      "voa": true,
      "aha": false,
      "avail_balance": false,
      "account_owner": true,
      "student_loan_data": false,
      "loan_payment_details": false,
      "child_institutions": []
    },
    {
      "id": 23,
      "rssd": 0,
      "name": "Merrill Lynch",
      "trans_agg": true,
      "ach": false,
      "state_agg": true,
      "voi": true,
      "voa": true,
      "aha": false,
      "avail_balance": false,
      "account_owner": true,
      "student_loan_data": false,
      "loan_payment_details": false,
      "child_institutions": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.argyle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

Search term (financial institution name).

type
enum<string>

Report type eligibility.

Possible values:

  • voa - Verification of Assets
  • voi - Verification of Income

If voa is true but voi is false, VOAI reports contain only asset data. If voi is true but voa is false, VOAI reports contain only income data.

Available options:
voa,
voi
limit
integer

Number of institutions per page.

start
integer

Index of page results to return.

cursor
string

The URL returned in next or previous used to retrieve another page of results.

Response

200 - application/json
next
string<uri> | null

URL for the next page of results, if available.

previous
string<uri> | null

URL for the previous page of results, if available.

results
object[]